Permalink
Browse files

Fix requiring CGI

  • Loading branch information...
1 parent 61f6121 commit 8c730075795920b8448f6fc57c7593db0a01f51c nas committed Jun 20, 2010
Showing with 15 additions and 8 deletions.
  1. +7 −2 History.txt
  2. +2 −1 Manifest.txt
  3. +3 −3 lib/yql.rb
  4. +3 −2 yql.gemspec
View
@@ -1,4 +1,9 @@
-=== 0.1.1 2010-06-20
+=== 0.0.1 2010-06-20
* 1 major enhancement:
- * Initial release
+ * Initial release
+
+=== 0.0.2 2010-06-20
+
+* 1 bug fix:
+ * Fix CGI require directive that was giving Superclass cookie error when using with rails
View
@@ -2,6 +2,7 @@ History.txt
Manifest.txt
README.rdoc
lib/yql.rb
-lib/yql/client.rb
lib/yql/error.rb
+lib/yql/response.rb
+lib/yql/client.rb
lib/yql/query_builder.rb
View
@@ -2,11 +2,11 @@
$:.include?(File.dirname(__FILE__)) || $:.include?(File.expand_path(File.dirname(__FILE__)))
require 'rubygems'
-require 'CGI'
+require 'cgi'
require 'net/http'
require 'net/https'
require 'rexml/document'
require 'yql/error.rb'
-require 'yql/client.rb'
require 'yql/query_builder.rb'
-require 'yql/response.rb'
+require 'yql/response.rb'
+require 'yql/client.rb'
View
@@ -1,6 +1,6 @@
Gem::Specification.new do |s|
s.name = %q{yql}
- s.version = "0.0.1"
+ s.version = "0.0.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Nasir Jamal"]
@@ -12,8 +12,9 @@ Gem::Specification.new do |s|
"Manifest.txt",
"README.rdoc",
"lib/yql.rb",
- "lib/yql/client.rb",
"lib/yql/error.rb",
+ "lib/yql/response.rb",
+ "lib/yql/client.rb",
"lib/yql/query_builder.rb",
]
s.has_rdoc = true

0 comments on commit 8c73007

Please sign in to comment.